> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a campaign flow step

> Adds a new flow step to the specified campaign. Flow steps are the visual builder blocks of a participant's journey through a campaign. Returns the created flow step with its server-assigned id.



## OpenAPI

````yaml /api-reference/management-expert.json post /v2/campaigns/{campaignId}{version}/flow-steps
openapi: 3.0.1
info:
  description: >-
    Advanced configuration endpoints for Extole platform experts: campaign
    controllers, typed actions and triggers, advanced component types and
    facets, source mapping, report post-handlers, pre-handlers, and other expert
    configuration surfaces not included in the standard Management API.
  title: Management Expert API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Authentication
  - name: Campaign Controllers
  - name: Campaign Controllers Actions
  - name: Campaign Controllers Triggers
  - name: Campaign Flow Steps
  - name: Components
  - name: Components Grants
  - name: Components Subscriptions
  - name: Components Types
  - name: Content
  - name: Debug
  - name: Domains
  - name: Email
  - name: Event Prehandlers
  - name: Events
  - name: Javascript Core Extensions
  - name: Persons
  - name: Profiles
  - name: Report Schedules
  - name: Report Types
  - name: Reporting
  - name: Security Keys
  - name: Settings
paths:
  /v2/campaigns/{campaignId}{version}/flow-steps:
    post:
      tags:
        - Campaign Flow Steps
      summary: Create a campaign flow step
      description: >-
        Adds a new flow step to the specified campaign. Flow steps are the
        visual builder blocks of a participant's journey through a campaign.
        Returns the created flow step with its server-assigned id.
      operationId: createCampaignFlowStep
      parameters:
        - in: path
          name: campaignId
          required: true
          schema:
            type: string
        - in: path
          name: version
          required: true
          schema:
            pattern: (/version/.+)?
            type: string
      requestBody:
        content:
          application/json:
            example:
              apps:
                - component_ids:
                    - component_id
                  component_references:
                    - component_id: component_id
                      socket_names:
                        - socket_name
                  description: description
                  name: name
                  type:
                    name: name
              component_ids:
                - component_id
              component_references:
                - component_id: component_id
                  socket_names:
                    - socket_name
              description: description
              flow_path: flow_path
              icon_color: icon_color
              icon_type: icon_type
              metrics:
                - component_ids:
                    - component_id
                  component_references:
                    - component_id: component_id
                      socket_names:
                        - socket_name
                  description: description
                  expression: expression
                  name: name
                  tags:
                    - tag
                  unit: unit
              name: name
              sequence: 1
              step_name: step_name
              tags:
                - tag
              words:
                person_counting_name: person_counting_name
                plural_noun_name: plural_noun_name
                rate_name: rate_name
                singular_noun_name: singular_noun_name
                verb_name: verb_name
            schema:
              $ref: '#/components/schemas/CampaignFlowStepCreateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignFlowStepResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                campaign_build_failed:
                  $ref: '#/components/examples/campaign_build_failed'
                campaign_component_absolute_name_missing:
                  $ref: >-
                    #/components/examples/campaign_component_absolute_name_missing
                campaign_component_description_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_component_description_out_of_range
                campaign_component_display_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/campaign_component_display_name_contains_illegal_character
                campaign_component_display_name_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_component_display_name_out_of_range
                campaign_component_id_missing:
                  $ref: '#/components/examples/campaign_component_id_missing'
                campaign_component_name_already_in_use:
                  $ref: '#/components/examples/campaign_component_name_already_in_use'
                campaign_component_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/campaign_component_name_contains_illegal_character
                campaign_component_name_out_of_range:
                  $ref: '#/components/examples/campaign_component_name_out_of_range'
                campaign_component_type_validation_failed:
                  $ref: >-
                    #/components/examples/campaign_component_type_validation_failed
                campaign_concurrent_update:
                  $ref: '#/components/examples/campaign_concurrent_update'
                campaign_flow_step_app_description_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_app_description_length_out_of_range
                campaign_flow_step_app_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_app_name_length_out_of_range
                campaign_flow_step_app_name_missing:
                  $ref: '#/components/examples/campaign_flow_step_app_name_missing'
                campaign_flow_step_app_type_missing:
                  $ref: '#/components/examples/campaign_flow_step_app_type_missing'
                campaign_flow_step_app_type_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_app_type_name_length_out_of_range
                campaign_flow_step_app_type_name_missing:
                  $ref: >-
                    #/components/examples/campaign_flow_step_app_type_name_missing
                campaign_flow_step_description_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_description_length_out_of_range
                campaign_flow_step_flow_path_invalid:
                  $ref: '#/components/examples/campaign_flow_step_flow_path_invalid'
                campaign_flow_step_flow_path_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_flow_path_length_out_of_range
                campaign_flow_step_flow_path_missing:
                  $ref: '#/components/examples/campaign_flow_step_flow_path_missing'
                campaign_flow_step_icon_color_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_icon_color_length_out_of_range
                campaign_flow_step_icon_type_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_icon_type_length_out_of_range
                campaign_flow_step_icon_type_missing:
                  $ref: '#/components/examples/campaign_flow_step_icon_type_missing'
                campaign_flow_step_metric_description_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_description_length_out_of_range
                campaign_flow_step_metric_duplicate_exists:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_duplicate_exists
                campaign_flow_step_metric_expression_invalid:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_expression_invalid
                campaign_flow_step_metric_expression_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_expression_length_out_of_range
                campaign_flow_step_metric_expression_missing:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_expression_missing
                campaign_flow_step_metric_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_name_length_out_of_range
                campaign_flow_step_metric_name_missing:
                  $ref: '#/components/examples/campaign_flow_step_metric_name_missing'
                campaign_flow_step_metric_tags_missing:
                  $ref: '#/components/examples/campaign_flow_step_metric_tags_missing'
                campaign_flow_step_metric_unit_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_unit_length_out_of_range
                campaign_flow_step_metric_unit_missing:
                  $ref: '#/components/examples/campaign_flow_step_metric_unit_missing'
                campaign_flow_step_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_name_length_out_of_range
                campaign_flow_step_sequence_invalid:
                  $ref: '#/components/examples/campaign_flow_step_sequence_invalid'
                campaign_flow_step_sequence_missing:
                  $ref: '#/components/examples/campaign_flow_step_sequence_missing'
                campaign_flow_step_step_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_step_name_length_out_of_range
                campaign_flow_step_step_name_missing:
                  $ref: '#/components/examples/campaign_flow_step_step_name_missing'
                campaign_flow_step_word_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_word_length_out_of_range
                campaign_has_pending_changes:
                  $ref: '#/components/examples/campaign_has_pending_changes'
                campaign_locked:
                  $ref: '#/components/examples/campaign_locked'
                campaign_stale_version:
                  $ref: '#/components/examples/campaign_stale_version'
                campaign_version_malformed:
                  $ref: '#/components/examples/campaign_version_malformed'
                circular_component_reference:
                  $ref: '#/components/examples/circular_component_reference'
                component_facets_not_found:
                  $ref: '#/components/examples/component_facets_not_found'
                controller_state_misconfiguration:
                  $ref: '#/components/examples/controller_state_misconfiguration'
                date_invalid:
                  $ref: '#/components/examples/date_invalid'
                excessive_component_reference:
                  $ref: '#/components/examples/excessive_component_reference'
                expression_invalid_syntax:
                  $ref: '#/components/examples/expression_invalid_syntax'
                external_element_is_referenced_by_active_configuration:
                  $ref: >-
                    #/components/examples/external_element_is_referenced_by_active_configuration
                external_elements_cannot_have_multiple_references:
                  $ref: >-
                    #/components/examples/external_elements_cannot_have_multiple_references
                invalid_campaign_id:
                  $ref: '#/components/examples/invalid_campaign_id'
                invalid_campaign_state:
                  $ref: '#/components/examples/invalid_campaign_state'
                invalid_campaign_version:
                  $ref: '#/components/examples/invalid_campaign_version'
                invalid_component_installed_into_socket:
                  $ref: >-
                    #/components/examples/invalid_component_installed_into_socket
                invalid_component_reference:
                  $ref: '#/components/examples/invalid_component_reference'
                invalid_component_reference_socket_name:
                  $ref: >-
                    #/components/examples/invalid_component_reference_socket_name
                invalid_external_component_reference:
                  $ref: '#/components/examples/invalid_external_component_reference'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                lock_missing_lock_types:
                  $ref: '#/components/examples/lock_missing_lock_types'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                orphan_external_component_reference:
                  $ref: '#/components/examples/orphan_external_component_reference'
                rebuild_campaigns_build_failed:
                  $ref: '#/components/examples/rebuild_campaigns_build_failed'
                redundant_component_reference:
                  $ref: '#/components/examples/redundant_component_reference'
                self_component_reference:
                  $ref: '#/components/examples/self_component_reference'
                unlock_missing_lock_types:
                  $ref: '#/components/examples/unlock_missing_lock_types'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    CampaignFlowStepCreateRequest:
      description: >-
        Body of a `POST
        /v2/campaigns/{campaignId}{version:(/version/.+)?}/flow-steps` request.
      properties:
        apps:
          items:
            $ref: '#/components/schemas/CampaignFlowStepAppCreateRequest'
          type: array
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceRequest'
          type: array
        description:
          $ref: '#/components/schemas/DescriptionInCampaignFlowStepCreateRequest'
        flow_path:
          $ref: '#/components/schemas/FlowPathInCampaignFlowStepCreateRequest'
        icon_color:
          $ref: '#/components/schemas/IconColorInCampaignFlowStepCreateRequest'
        icon_type:
          $ref: '#/components/schemas/IconTypeInCampaignFlowStepCreateRequest'
        metrics:
          items:
            $ref: '#/components/schemas/CampaignFlowStepMetricCreateRequest'
          type: array
        name:
          $ref: '#/components/schemas/NameInCampaignFlowStepCreateRequest'
        sequence:
          $ref: '#/components/schemas/SequenceInCampaignFlowStepCreateRequest'
        step_name:
          $ref: '#/components/schemas/StepNameInCampaignFlowStepCreateRequest'
        tags:
          $ref: '#/components/schemas/TagsInCampaignFlowStepCreateRequest'
        words:
          $ref: '#/components/schemas/CampaignFlowStepWordsRequest'
      required:
        - apps
        - flow_path
        - icon_color
        - icon_type
        - metrics
        - name
        - sequence
        - step_name
        - tags
      type: object
    CampaignFlowStepResponse:
      description: >-
        Stored campaign flow step definition. Fields `flow_path`, `sequence`,
        `step_name`, `icon_type`, `tags`, `name`, `icon_color`, and
        `description` are unevaluated and appear in buildtime-evaluatable form.
      properties:
        apps:
          items:
            $ref: '#/components/schemas/CampaignFlowStepAppResponse'
          type: array
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceResponse'
          type: array
        description:
          $ref: '#/components/schemas/DescriptionInCampaignFlowStepResponse'
        flow_path:
          $ref: '#/components/schemas/FlowPathInCampaignFlowStepResponse'
        flow_step_id:
          type: string
        icon_color:
          $ref: '#/components/schemas/IconColorInCampaignFlowStepResponse'
        icon_type:
          $ref: '#/components/schemas/IconTypeInCampaignFlowStepResponse'
        metrics:
          items:
            $ref: '#/components/schemas/CampaignFlowStepMetricResponse'
          type: array
        name:
          $ref: '#/components/schemas/NameInCampaignFlowStepResponse'
        sequence:
          $ref: '#/components/schemas/SequenceInCampaignFlowStepResponse'
        step_name:
          $ref: '#/components/schemas/StepNameInCampaignFlowStepResponse'
        tags:
          $ref: '#/components/schemas/TagsInCampaignFlowStepResponse'
        words:
          $ref: '#/components/schemas/CampaignFlowStepWordsResponse'
      required:
        - apps
        - component_ids
        - component_references
        - description
        - flow_path
        - flow_step_id
        - icon_color
        - icon_type
        - metrics
        - name
        - sequence
        - step_name
        - tags
        - words
      type: object
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    CampaignFlowStepAppCreateRequest:
      description: >-
        Body of a `POST
        /v2/campaigns/{campaignId}{version:(/version/.+)?}/flow-steps/{flowStepId}/apps`
        request.
      properties:
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceRequest'
          type: array
        description:
          $ref: '#/components/schemas/DescriptionInCampaignFlowStepAppCreateRequest'
        name:
          $ref: '#/components/schemas/NameInCampaignFlowStepAppCreateRequest'
        type:
          $ref: '#/components/schemas/CampaignFlowStepAppTypeCreateRequest'
      required:
        - name
        - type
      type: object
    ComponentReferenceRequest:
      properties:
        component_id:
          type: string
        socket_names:
          items:
            type: string
          type: array
      type: object
    DescriptionInCampaignFlowStepCreateRequest:
      description: Choose between static or dynamic description
      oneOf:
        - description: Static description
          nullable: true
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{description}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('description');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FlowPathInCampaignFlowStepCreateRequest:
      description: Choose between static or dynamic flow path
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static flow path
          title: Static Value
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{flowPath}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('flowPath');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    IconColorInCampaignFlowStepCreateRequest:
      description: Choose between static or dynamic icon color
      oneOf:
        - allOf:
            - nullable: true
              type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static icon color
          title: Static Value
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{iconColor}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('iconColor');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    IconTypeInCampaignFlowStepCreateRequest:
      description: Choose between static or dynamic icon type
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static icon type
          title: Static Value
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{iconType}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('iconType');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CampaignFlowStepMetricCreateRequest:
      description: >-
        Body of a `POST
        /v2/campaigns/{campaignId}{version:(/version/.+)?}/flow-steps/{flowStepId}/metrics`
        request.
      properties:
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceRequest'
          type: array
        description:
          $ref: >-
            #/components/schemas/DescriptionInCampaignFlowStepMetricCreateRequest
        expression:
          $ref: '#/components/schemas/ExpressionInCampaignFlowStepMetricCreateRequest'
        name:
          $ref: '#/components/schemas/NameInCampaignFlowStepMetricCreateRequest'
        tags:
          $ref: '#/components/schemas/TagsInCampaignFlowStepMetricCreateRequest'
        unit:
          $ref: '#/components/schemas/UnitInCampaignFlowStepMetricCreateRequest'
      required:
        - description
        - expression
        - name
        - tags
        - unit
      type: object
    NameInCampaignFlowStepCreateRequest:
      description: Choose between static or dynamic name
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static name
          title: Static Value
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{name}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('name');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    SequenceInCampaignFlowStepCreateRequest:
      description: Choose between static or dynamic sequence
      oneOf:
        - description: Static sequence
          title: Static Value
          type: number
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{sequence}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('sequence');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    StepNameInCampaignFlowStepCreateRequest:
      description: Choose between static or dynamic step name
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static step name
          title: Static Value
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{stepName}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('stepName');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    TagsInCampaignFlowStepCreateRequest:
      description: Choose between static or dynamic tags
      oneOf:
        - description: Static tags
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{tags}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('tags');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CampaignFlowStepWordsRequest:
      properties:
        person_counting_name:
          $ref: >-
            #/components/schemas/PersonCountingNameInCampaignFlowStepWordsRequest
        plural_noun_name:
          $ref: '#/components/schemas/PluralNounNameInCampaignFlowStepWordsRequest'
        rate_name:
          $ref: '#/components/schemas/RateNameInCampaignFlowStepWordsRequest'
        singular_noun_name:
          $ref: '#/components/schemas/SingularNounNameInCampaignFlowStepWordsRequest'
        verb_name:
          $ref: '#/components/schemas/VerbNameInCampaignFlowStepWordsRequest'
      type: object
    CampaignFlowStepAppResponse:
      description: >-
        Stored campaign flow step app definition. Fields `name` and
        `description` are unevaluated and appear in buildtime-evaluatable form.
      properties:
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceResponse'
          type: array
        description:
          $ref: '#/components/schemas/DescriptionInCampaignFlowStepAppResponse'
        id:
          readOnly: true
          type: string
        name:
          $ref: '#/components/schemas/NameInCampaignFlowStepAppResponse'
        type:
          $ref: '#/components/schemas/CampaignFlowStepAppTypeResponse'
      required:
        - component_ids
        - component_references
        - description
        - id
        - name
        - type
      type: object
    ComponentReferenceResponse:
      properties:
        component_id:
          type: string
        socket_names:
          items:
            type: string
          type: array
      type: object
    DescriptionInCampaignFlowStepResponse:
      description: >-
        The description as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal description
          nullable: true
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{description}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('description');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FlowPathInCampaignFlowStepResponse:
      description: >-
        The flow path as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal flow path
          title: Static Value
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{flowPath}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('flowPath');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    IconColorInCampaignFlowStepResponse:
      description: >-
        The icon color as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal icon color
          title: Static Value
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{iconColor}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('iconColor');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    IconTypeInCampaignFlowStepResponse:
      description: >-
        The icon type as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal icon type
          title: Static Value
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{iconType}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('iconType');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CampaignFlowStepMetricResponse:
      description: >-
        Stored campaign flow step metric definition. Fields `name`,
        `description`, `expression`, `unit`, and `tags` are unevaluated and
        appear in buildtime-evaluatable form.
      properties:
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceResponse'
          type: array
        description:
          $ref: '#/components/schemas/DescriptionInCampaignFlowStepMetricResponse'
        expression:
          $ref: '#/components/schemas/ExpressionInCampaignFlowStepMetricResponse'
        id:
          readOnly: true
          type: string
        name:
          $ref: '#/components/schemas/NameInCampaignFlowStepMetricResponse'
        tags:
          $ref: '#/components/schemas/TagsInCampaignFlowStepMetricResponse'
        unit:
          $ref: '#/components/schemas/UnitInCampaignFlowStepMetricResponse'
      required:
        - component_ids
        - component_references
        - description
        - expression
        - id
        - name
        - tags
        - unit
      type: object
    NameInCampaignFlowStepResponse:
      description: >-
        The name as configured: a literal value, or an expression (type:string)
        when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal name
          title: Static Value
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{name}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('name');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    SequenceInCampaignFlowStepResponse:
      description: >-
        The sequence as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal sequence
          title: Static Value
          type: number
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{sequence}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('sequence');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    StepNameInCampaignFlowStepResponse:
      description: >-
        The step name as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal step name
          title: Static Value
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{stepName}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('stepName');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    TagsInCampaignFlowStepResponse:
      description: >-
        The tags as configured: a literal value, or an expression (type:string)
        when defined dynamically.
      oneOf:
        - description: Literal tags
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{tags}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('tags');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CampaignFlowStepWordsResponse:
      properties:
        person_counting_name:
          $ref: >-
            #/components/schemas/PersonCountingNameInCampaignFlowStepWordsResponse
        plural_noun_name:
          $ref: '#/components/schemas/PluralNounNameInCampaignFlowStepWordsResponse'
        rate_name:
          $ref: '#/components/schemas/RateNameInCampaignFlowStepWordsResponse'
        singular_noun_name:
          $ref: '#/components/schemas/SingularNounNameInCampaignFlowStepWordsResponse'
        verb_name:
          $ref: '#/components/schemas/VerbNameInCampaignFlowStepWordsResponse'
      type: object
    DescriptionInCampaignFlowStepAppCreateRequest:
      description: Choose between static or dynamic description
      oneOf:
        - description: Static description
          nullable: true
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{description}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('description');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    NameInCampaignFlowStepAppCreateRequest:
      description: Choose between static or dynamic name
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static name
          title: Static Value
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{name}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('name');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CampaignFlowStepAppTypeCreateRequest:
      properties:
        name:
          $ref: '#/components/schemas/NameInCampaignFlowStepAppTypeCreateRequest'
      type: object
    DescriptionInCampaignFlowStepMetricCreateRequest:
      description: Choose between static or dynamic description
      oneOf:
        - description: Static description
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{description}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('description');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    ExpressionInCampaignFlowStepMetricCreateRequest:
      description: Choose between static or dynamic expression
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static expression
          title: Static Value
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{expression}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('expression');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    NameInCampaignFlowStepMetricCreateRequest:
      description: Choose between static or dynamic name
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static name
          title: Static Value
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{name}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('name');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    TagsInCampaignFlowStepMetricCreateRequest:
      description: Choose between static or dynamic tags
      oneOf:
        - description: Static tags
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{tags}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('tags');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    UnitInCampaignFlowStepMetricCreateRequest:
      description: Choose between static or dynamic unit
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static unit
          title: Static Value
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{unit}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('unit');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    PersonCountingNameInCampaignFlowStepWordsRequest:
      description: Choose between static or dynamic person counting name
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static person counting name
          title: Static Value
        - description: >-
            Handlebars expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{personCountingName}}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('personCountingName');}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    PluralNounNameInCampaignFlowStepWordsRequest:
      description: Choose between static or dynamic plural noun name
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static plural noun name
          title: Static Value
        - description: >-
            Handlebars expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{pluralNounName}}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('pluralNounName');}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    RateNameInCampaignFlowStepWordsRequest:
      description: Choose between static or dynamic rate name
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static rate name
          title: Static Value
        - description: >-
            Handlebars expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{rateName}}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('rateName');}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    SingularNounNameInCampaignFlowStepWordsRequest:
      description: Choose between static or dynamic singular noun name
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static singular noun name
          title: Static Value
        - description: >-
            Handlebars expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{singularNounName}}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('singularNounName');}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    VerbNameInCampaignFlowStepWordsRequest:
      description: Choose between static or dynamic verb name
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Static verb name
          title: Static Value
        - description: >-
            Handlebars expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{verbName}}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('verbName');}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    DescriptionInCampaignFlowStepAppResponse:
      description: >-
        The description as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal description
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{description}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('description');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    NameInCampaignFlowStepAppResponse:
      description: >-
        The name as configured: a literal value, or an expression (type:string)
        when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal name
          title: Static Value
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{name}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('name');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CampaignFlowStepAppTypeResponse:
      properties:
        name:
          $ref: '#/components/schemas/NameInCampaignFlowStepAppTypeResponse'
      type: object
    DescriptionInCampaignFlowStepMetricResponse:
      description: >-
        The description as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal description
          nullable: true
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{description}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('description');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    ExpressionInCampaignFlowStepMetricResponse:
      description: >-
        The expression as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal expression
          title: Static Value
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{expression}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('expression');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    NameInCampaignFlowStepMetricResponse:
      description: >-
        The name as configured: a literal value, or an expression (type:string)
        when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal name
          title: Static Value
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{name}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('name');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    TagsInCampaignFlowStepMetricResponse:
      description: >-
        The tags as configured: a literal value, or an expression (type:string)
        when defined dynamically.
      oneOf:
        - description: Literal tags
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{tags}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('tags');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    UnitInCampaignFlowStepMetricResponse:
      description: >-
        The unit as configured: a literal value, or an expression (type:string)
        when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal unit
          title: Static Value
        - description: >-
            Handlebars expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{unit}}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AllFlowStepsBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('unit');}
          externalDocs:
            description: AllFlowStepsBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/AllFlowStepsBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    PersonCountingNameInCampaignFlowStepWordsResponse:
      description: >-
        The person counting name as configured: a literal value, or an
        expression (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal person counting name
          title: Static Value
        - description: >-
            Handlebars expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{personCountingName}}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('personCountingName');}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    PluralNounNameInCampaignFlowStepWordsResponse:
      description: >-
        The plural noun name as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal plural noun name
          title: Static Value
        - description: >-
            Handlebars expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{pluralNounName}}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('pluralNounName');}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    RateNameInCampaignFlowStepWordsResponse:
      description: >-
        The rate name as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal rate name
          title: Static Value
        - description: >-
            Handlebars expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{rateName}}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('rateName');}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    SingularNounNameInCampaignFlowStepWordsResponse:
      description: >-
        The singular noun name as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal singular noun name
          title: Static Value
        - description: >-
            Handlebars expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{singularNounName}}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('singularNounName');}
          externalDocs:
            description: FlowStepBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    VerbNameInCampaignFlowStepWordsResponse:
      description: >-
        The verb name as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal verb name
          title: Static Value
        - description: >-
            Handlebars expression with
            [FlowStepBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/FlowStepBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{verbName}}
[...]
